# 使用方法：
# .\genModel.ps1 user user
# .\genModel.ps1 user user_auth
# 再将 .\genModel 下的文件剪切到对应服务的 model 目录里面，记得改 package
# goctl model mysql datasource -url="qnc:5vg67b3UNHu8@tcp(127.0.0.1:20001)/qnc" -table="product" -dir="./model" --home="../template" -cache=true --style=goZero
param (
    [string]$database,
    [string]$tables
)

# 生成的表名
$modeldir = "./genModel"
$templateDir = Join-Path -Path (Resolve-Path "$PSScriptRoot/..") -ChildPath "template"
# 数据库配置
$host = "127.0.0.1"
$port = "20001"
$dbname = "$database"
$username = "qnc"
$passwd = "5vg67b3UNHu8"

Write-Output "开始创建库：$dbname 的表：$tables"

# 执行 goctl 命令生成 model
$command = "goctl model mysql datasource -url=`"$username`:$passwd`@tcp($host`:$port)/$dbname`" -table=`"$tables`" -dir=`"$modeldir`" --home=`"$templateDir`" -cache=true --style=goZero"
Invoke-Expression $command
